Eclipse maven无法解析jaxws-rt 2.2.8之后的版本

转载请注明出处,感谢大家的支持!
本文来自优优码:http://www.uucode.net/201702/eclipse-maven-jaxws-rt-bug-fix

使用eclipse 导入 jaxws-rt 2.2.8 以及之后的版本依赖。

发现eclipse m2e无法解析jaxws-rt 的传递依赖(jaxws-rt 2.2.7 之前 都是可以的)
 
并且在 error log里显示:
jaxws-rt pom文件解析错误,忽略传递依赖。
 
原因:
eclipse中的maven 无法定位JAVA_HOME
 
解决:
在eclipse启动的配置  eclipse.ini中配置 -vm 参数,指定Java路径:
-vm
D:\tools\jdk8u91\jre\bin\javaw.exe
-vmargs
-Dosgi.requiredJavaVersion=1.7
-Xms256m
-Xmx1024m
 
参考
http://stackoverflow.com/questions/26393332/getting-the-pom-for-name-is-invalid-transitive-dependencies-if-any-will-no
 
 

发表评论

您的电子邮件地址将不会被公开. 必填昵称和邮箱 *

*

您可以使用这些HTML标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

你必须启用javascript
滚动到顶部
备案号:浙ICP备08112675号-4 浙公网安备 33010502001953号